# SPDX-FileCopyrightText: Huawei Inc.
#
# SPDX-License-Identifier: MIT
#
# short-description: Create an EFI disk image
# long-description: Creates a partitioned EFI disk image that the user
# can directly dd to boot media.

bootloader --ptable gpt --timeout=${WIC_BOOTLOADER_TIMEOUT} --append="rootwait rootfstype=squashfs"
part /boot --source bootimg-efi --sourceparams="loader=${EFI_PROVIDER}" --label boot --active --align 1024 --use-uuid
${WIC_ROOTA_PARTITION}
${WIC_ROOTB_PARTITION}
${WIC_DEVDATA_PARTITION}
${WIC_SYSDATA_PARTITION}
${WIC_APPDATA_PARTITION}
